<?php

namespace DBTech\Security\Admin\Controller;

use XF\Admin\Controller\AbstractController;
use XF\Mvc\ParameterBag;

/**
 * Class BreachCheck
 * @package DBTech\Security\Admin\Controller
 */
class BreachCheck extends AbstractController
{
	/**
	 * @param $action
	 * @param ParameterBag $params
	 * @throws \XF\Mvc\Reply\Exception
	 */
	protected function preDispatchController($action, ParameterBag $params)
	{
		$this->assertAdminPermission('dbtechSecurity');
	}

	/**
	 * @return \XF\Mvc\Reply\AbstractReply
	 */
	public function actionIndex(): \XF\Mvc\Reply\AbstractReply
	{
		return $this->view(
			\DBTech\Security\Admin\View\BreachCheck\Index::class,
			'dbtech_security_breach_check'
		);
	}
}