<?php

namespace DBTech\Security\Cron;

use DBTech\Security\Helper;

class Security
{
	/**
	 *
	 */
	public static function pruneLogs()
	{
		$logRepo = Helper::repository(\DBTech\Security\Repository\Log::class);
		$logRepo->prune();
	}

	/**
	 *
	 */
	public static function pruneSessions()
	{
		$sessionRepo = Helper::repository(\DBTech\Security\Repository\Session::class);
		$sessionRepo->prune();
	}

	/**
	 * @throws \XF\PrintableException
	 */
	public static function backupOptions()
	{
		$backupRepo = Helper::repository(\DBTech\Security\Repository\Backup::class);
		$backupRepo->backupOptions();
	}

	/**
	 * @throws \XF\PrintableException
	 */
	public static function updateTorNodes()
	{
		$torRepo = Helper::repository(\DBTech\Security\Repository\Tor::class);
		$torRepo->updateNodes();
	}
}