<?php

namespace DBTech\Security\Install;

use XF\Db\Schema\Alter;

/**
 * @property \XF\AddOn\AddOn addOn
 * @property \XF\App app
 *
 * @method \XF\Db\AbstractAdapter db()
 * @method \XF\Db\SchemaManager schemaManager()
 * @method \XF\Db\Schema\Column addOrChangeColumn($table, $name, $type = null, $length = null)
 */
trait Upgrade904009970Trait
{
	/**
	 *
	 */
	public function upgrade904000032Step1()
	{
		$sm = $this->schemaManager();

		$sm->alterTable('xf_dbtech_security_loginstrikes', function (Alter $table)
		{
			$table->changeColumn('username', 'blob')->nullable(true)->setDefault(null);
		});
	}
}