<?php
namespace DBTech\Security\Option;

/**
 * Class GeoIp
 *
 * @package DBTech\Security\Option
 */
class GeoIp
{
	/**
	 * @param $value
	 * @param \XF\Entity\Option $option
	 *
	 * @return bool
	 */
	public static function verifyOption(&$value, \XF\Entity\Option $option): bool
	{
		if (!empty($value) AND (!file_exists($value) OR !is_readable($value)))
		{
			$option->error(\XF::phrase('dbtech_security_geoip_file_unreadable'), $option->option_id);
			return false;
		}

		return true;
	}
}