<?php

namespace DBTech\Security\Cron;

use DBTech\Security\Helper;

class UpdateCountries
{
	/**
	 * @throws \Exception
	 * @throws \XF\PrintableException
	 */
	public static function runUpdate()
	{
		$app = \XF::app();

		$countryRepo = Helper::repository(\DBTech\Security\Repository\Country::class);
		$countryRepo->updateCountryList();
	}

	/**
	 *
	 */
	public static function runIpUpdate()
	{
		$app = \XF::app();

		$app->jobManager()->enqueueUnique(
			'dbtechSecurityCountryBlockRebuild',
			'DBTech\Security:CountryBlockRebuild',
			[],
			false
		);
	}
}